func Allies {
door_lock 27
sound_music_start mus_fiteb

fade_out 3 2 5 50
fade_in 80

chr_teleport 0 129
chr_teleport 1050 129

chr_changeteam 1050 Konoko
chr_giveweapon 1050 w4_psm
chr_givepowerup 1050 cell 99
chr_unstoppable 1050 1
chr_invincible 1050 1
chr_boss_shield 1050

ai2_spawn ambush_striker_1
ai2_spawn ambush_striker_2
ai2_spawn ambush_striker_3
ai2_spawn scram_striker_1
chr_unkillable ambush_striker_1 1
chr_unkillable ambush_striker_2 1
chr_unkillable ambush_striker_3 1
chr_unkillable scram_striker_1 1
chr_teleport ambush_striker_3 129
chr_giveweapon ambush_striker_3 w1_tap
chr_teleport ambush_striker_2 129
chr_teleport ambush_striker_1 129
chr_teleport scram_striker_1 129
chr_changeteam ambush_striker_1 Konoko
chr_changeteam ambush_striker_2 Konoko
chr_changeteam ambush_striker_3 Konoko
chr_changeteam scram_striker_1 Konoko
chr_boss_shield ambush_striker_1 1
chr_boss_shield ambush_striker_2 1
chr_boss_shield ambush_striker_3 1
chr_boss_shield scram_striker_1 1

ai2_doalarm 1050 24
ai2_doalarm ambush_striker_1 21
ai2_doalarm ambush_striker_2 22
sleep 10
ai2_doalarm ambush_striker_3 23
ai2_doalarm scram_striker_1 24

fork ally1die1
fork ally2die1
fork ally3die1
fork ally4die1
sleep 200

fork Enemies
}

func Enemies {
dmsg "[r.MURO: They're Coming to reactivate the brain don't let them touch the consoles!]"
sleep 300
dmsg "[b.STRIKERS: Yes Sir]"
sleep 200
fade_out 3 2 5 50
fade_in 80

ai2_spawn tech_thug_1
ai2_spawn nookright_thug_1
ai2_spawn tech_thug_1a
ai2_spawn tech_thug_3
ai2_spawn low_thug_2
ai2_spawn beater_thug_1
ai2_spawn beater_thug_2

chr_set_health tech_thug_1 110
chr_set_health tech_thug_1a 86
chr_set_health tech_thug_3 70
chr_set_health nookright_thug_1 56
chr_set_health low_thug_2 50
chr_set_health beater_thug_1 69
chr_set_health beater_thug_2 88

chr_teleport tech_thug_1 129
chr_teleport tech_thug_1a 129
chr_teleport tech_thug_3 129
chr_teleport nookright_thug_1 129
chr_teleport low_thug_2 129
chr_teleport beater_thug_1 129
chr_teleport beater_thug_2 129

chr_wait_health tech_thug_1 0
chr_wait_health tech_thug_1a 0
chr_wait_health tech_thug_3 0
chr_wait_health nookright_thug_1 0
chr_wait_health low_thug_2 0
chr_wait_health beater_thug_1 0
chr_wait_health beater_thug_2 0

fork Swarm1
}

func Swarm1 {
fade_out 3 2 5 50
fade_in 50

ai2_spawn tech_thug_1 force
ai2_spawn nookright_thug_1 force
ai2_spawn tech_thug_1a force
ai2_spawn tech_thug_3 force
ai2_spawn low_thug_2 force
ai2_spawn beater_thug_1 force
ai2_spawn beater_thug_2 force

chr_set_health tech_thug_1 110
chr_set_health tech_thug_1a 110
chr_set_health tech_thug_3 110
chr_set_health nookright_thug_1 110
chr_set_health low_thug_2 110
chr_set_health beater_thug_1 110
chr_set_health beater_thug_2 110

chr_teleport tech_thug_1 129
chr_teleport tech_thug_1a 129
chr_teleport tech_thug_3 129
chr_teleport nookright_thug_1 129
chr_teleport low_thug_2 129
chr_teleport beater_thug_1 129
chr_teleport beater_thug_2 129

chr_wait_health tech_thug_1 0
chr_wait_health tech_thug_1a 0
chr_wait_health tech_thug_3 0
chr_wait_health nookright_thug_1 0
chr_wait_health low_thug_2 0
chr_wait_health beater_thug_1 0
chr_wait_health beater_thug_2 0

fork Next
}

func Next {
fade_out 3 2 5 50
fade_in 50

ai2_spawn low_striker_1
ai2_spawn low_striker_2
ai2_spawn febtober_striker_1
ai2_spawn patrol_striker_2
ai2_spawn patrol_striker_3
ai2_spawn plasma_striker_1

chr_teleport low_striker_1 129
chr_teleport low_striker_2 129
chr_teleport febtober_striker_1 129
chr_teleport patrol_striker_2 129
chr_teleport patrol_striker_3 129
chr_teleport plasma_striker_1 129

chr_wait_health low_striker_1 0
chr_wait_health low_striker_2 0
chr_wait_health febtober_striker_1 0
chr_wait_health patrol_striker_2 0
chr_wait_health patrol_striker_3 0
chr_wait_health plasma_striker_1 0

sleep 300

fork Cut02
}

func Retrive {
fade_out 3 2 5 50
fade_in 80
chr_teleport 0 39

door_lock 9
door_unlock 14
particle guardroom_1_locklight01 do start

ai2_spawn partner_cop_1
chr_set_health partner_cop_1 1950
chr_changeteam partner_cop_1 Syndicate
chr_teleport partner_cop_1 65
ai2_idle partner_cop_1
ai2_setjobstate partner_cop_1

ai2_spawn partner_cop_2
chr_set_health partner_cop_2 1950
chr_changeteam partner_cop_2 Syndicate
chr_teleport partner_cop_2 67
ai2_idle partner_cop_1
ai2_setjobstate partner_cop_1


chr_create 1061 start
chr_create 1063 start
chr_create 1064 start

chr_set_health 1061 1950
chr_set_health 1063 1950
chr_set_health 1064 1950

chr_giveweapon 1061 w3_phr
chr_giveweapon 1063 w3_phr
chr_giveweapon 1064 w3_phr
chr_givepowerup 1061 cell 99
chr_givepowerup 1063 cell 99
chr_givepowerup 1064 cell 99

ai2_passive 1061 0
ai2_passive 1063 0
ai2_passive 1064 0

chr_changeteam 1061 Syndicate
chr_changeteam 1063 Syndicate
chr_changeteam 1064 Syndicate

chr_teleport 1061 41
chr_teleport 1063 63
chr_teleport 1064 64


}


func void brainlock_1(string ai_name)
{

ai2_takecontrol 1
ai2_allpassive 1
sleep 100
chr_animate 0 KONOKOwatch_idle 500
cinematic_start (KONpsychedup, 180, 180, 20, 9, 20, true)
dmsg "[y.KONOKO: Muro, I've activated the console. What next?]"
sleep 300
message_remove
cinematic_start (MUROtalking, 180, 180, 15, 1, 20, false)
dmsg "[r.MURO: Good work.  Can you patch the information into the comlink?]"
sleep 300
chr_animate 0 COMGUYlev10_console 200
message_remove
dmsg "[y.KONOKO: Yes, plugging in right now.]"
sleep 200
chr_animate 0 KONOKOwatch_idle 500
message_remove
dmsg "[r.MURO: Good. It appears that the only way to shut it down is to...]"
fork Kill
sleep 300
message_remove
dmsg "[y.KONOKO: Muro, come in...come in]"
sleep 200
message_remove
chr_animate 0 KONOKOpowerup

fade_out 3 2 5 50
fade_in 80
chr_teleport 0 129

sleep 111
fork Alldead
}


func Kill {
ai2_spawn febtober_striker_1 force
ai2_spawn plasma_striker_1 force
chr_teleport febtober_striker_1 129
chr_teleport plasma_striker_1 129
chr_unkillable ambush_striker_1 0
chr_unkillable ambush_striker_2 0
chr_unkillable ambush_striker_3 0
chr_unkillable scram_striker_1 0
chr_set_health ambush_striker_1 0
chr_set_health ambush_striker_2 0
chr_set_health ambush_striker_3 0
chr_set_health scram_striker_1 0

powerup_spawn ammo 129
powerup_spawn ammo 129
powerup_spawn cell 129
powerup_spawn cell 129

sleep 200

chr_set_health febtober_striker_1 0
chr_set_health plasma_striker_1 0
}

func Alldead {
chr_teleport 1050 129
ai2_lookatchar 0 1050
ai2_lookatchar 1050 0

dmsg "[y.KONOKO: What happened?]"
sleep 200
message_remove
dmsg "[r.MURO: Some Strikers attacked us. We managed to beat them off, but not without casualties.]"
sleep 300
message_remove
dmsg "[y.KONOKO: What now?]"
sleep 200
message_remove
dmsg "[r.MURO: We have to shut down the brain for good.]"
ai2_takecontrol 0
ai2_allpassive 0
cinematic_stop (MUROtalking, 19, 20)
cinematic_stop (KONpsychedup, 20, 20)

fork Last
save_game 3 autosave
}

func Last
{
fade_out 3 2 5 50
fade_in 50
ai2_spawn Barabus
chr_giveweapon Barabus w11_ba1
chr_unstoppable Barabus 1
chr_changeteam Barabus Syndicate
chr_teleport Barabus 129

chr_wait_health Barabus 100
chr_invincible Barabus 1
chr_changeteam Barabus Konoko

ai2_allpassive 1
ai2_takecontrol 1

fork Barabas_Outro
}




























func Extra {

	trig_show 205
	trig_show 2013
	trig_show 2042
	trig_show 2032
	trig_show 2023
	trig_show 402
	trig_show 204	
	trig_show 203
	trig_show 2032		
	trig_show 202
	trig_show 2022
	trig_show 201	
	trig_show 2012
	chr_teleport 0 129
	chr_pin_character= 1 
}









